<form>
  <div *ngIf="spinner" class="spinner-overlay text-center align-middle">
    <div
      class="spinner-grow align-middle"
      style="width: 10rem; height:10rem;"
      role="status"
      aria-hidden="true"
    ></div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Username</label>
    <div class="col-sm-10">
      <input
        type="text"
        class="form-control"
        placeholder="Username"
        [disabled]="isLogged"
        [class.is-invalid]="error"
        [(ngModel)]="username"
        name="username"
      />
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Password</label>
    <div class="col-sm-10">
      <input
        type="password"
        class="form-control"
        placeholder="Password"
        [disabled]="isLogged"
        [class.is-invalid]="error"
        [(ngModel)]="password"
        name="password"
      />
    </div>
  </div>
  <div class="text-right">
    <a class="display-inline" href="#">
      <p
        class="d-inline mb-0"
        data-toggle="collapse"
        data-target="#inputHostContainer"
        aria-expanded="true"
        aria-controls="inputHostContainer"
      >
        Advanced▾
      </p>
    </a>
  </div>
  <div id="inputHostContainer" class="form-group row collapse">
    <label class="col-sm-2 col-form-label">Host</label>
    <div class="col-sm-10">
      <input
        type="text"
        class="form-control"
        placeholder="Host"
        [disabled]="isLogged"
        [class.is-invalid]="error"
        [(ngModel)]="host"
        name="host"
      />
    </div>
  </div>
  <div class="row">
    <ng-container *ngIf="!isLogged; else logoutButton">
      <div class="col-2">
        <button
          type="submit"
          class="btn btn-primary"
          [disabled]="!(username && password && host)"
          (click)="login()"
        >
          Login
        </button>
      </div>
    </ng-container>
    <ng-template #logoutButton>
      <div class="col-2">
        <button type="submit" class="btn btn-danger" (click)="logout()">
          Logout
        </button>
      </div>
    </ng-template>
    <ng-container>
      <p
        *ngIf="message"
        id="login-form-error"
        [class.text-danger]="error"
        class="col-10 collapse show m-0 py-1 px-0"
      >
        {{ message }}
      </p>
    </ng-container>
  </div>
</form>
